package ece.lecture;

import java.io.IOException;

import org.nfctools.mf.block.MfBlock;
import org.nfctools.mf.classic.Key;
import org.nfctools.mf.classic.KeyValue;
import org.nfctools.mf.classic.MemoryLayout;
import org.nfctools.mf.classic.MfClassicAccess;
import org.nfctools.mf.classic.MfClassicReaderWriter;
import org.nfctools.mf.tools.AbstractCardTool;
import org.nfctools.utils.NfcUtils;

public class Lecture_listener extends AbstractCardTool {

	@Override
	public void doWithReaderWriter(MfClassicReaderWriter readerWriter)
			throws IOException {
		
		// Parcourir la liste des clefs
		for (byte[] key : knownKeys) {
			try {
				// Créer un Mf access avec la clef de secteur   
				MfClassicAccess access = new MfClassicAccess(new KeyValue(Key.A, key), 2, 0, 4);
				// Lire le secteur
				MfBlock[] mfBlock = readerWriter.readBlock(access);
				for (int blockId = 0; blockId < mfBlock.length; blockId++) {
					System.out.println("S" + 2 + "|B" + blockId + " Key: " + NfcUtils.convertBinToASCII(key)
							+ " " + mfBlock[blockId]);
					}

					break;
				}
			catch (Exception e) {
				System.out.println(e.toString());
				}
			
			}

		
	}

	
}
